#
# Conditional build:
%bcond_with	tests		# test suite

%define		kf_ver		6.10.0
%define		kp_ver		%{version}
%define		qt_ver		6.7.0
%define		kpname		oxygen
Summary:	Plasma and Qt widget style and window decorations for Plasma 5 and 6
Summary(pl.UTF-8):	Styl Plasmy i widżetów Qt oraz dekoracje okien dla Plasmy 5 i 6
Name:		kp6-%{kpname}
Version:	6.4.2
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{version}/%{kpname}-%{version}.tar.xz
# Source0-md5:	33e12f08f3e19fe1106088c7cc5f628b
URL:		https://kde.org/
BuildRequires:	Qt6Core-devel >= %{qt_ver}
BuildRequires:	Qt6DBus-devel >= %{qt_ver}
BuildRequires:	Qt6Gui-devel >= %{qt_ver}
BuildRequires:	Qt6Network-devel >= %{qt_ver}
BuildRequires:	Qt6OpenGL-devel >= %{qt_ver}
BuildRequires:	Qt6Quick-devel >= %{qt_ver}
BuildRequires:	Qt6Widgets-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.25
BuildRequires:	kf6-extra-cmake-modules >= 5.102.0
BuildRequires:	kf6-frameworkintegration-devel >= %{kf_ver}
BuildRequires:	kf6-kcmutils-devel >= %{kf_ver}
BuildRequires:	kf6-kcolorscheme-devel >= %{kf_ver}
BuildRequires:	kf6-kcompletion-devel >= %{kf_ver}
BuildRequires:	kf6-kconfig-devel >= %{kf_ver}
BuildRequires:	kf6-kcoreaddons-devel >= %{kf_ver}
BuildRequires:	kf6-kguiaddons-devel >= %{kf_ver}
BuildRequires:	kf6-ki18n-devel >= %{kf_ver}
BuildRequires:	kf6-kservice-devel >= %{kf_ver}
BuildRequires:	kf6-kwidgetsaddons-devel >= %{kf_ver}
BuildRequires:	kf6-kwindowsystem-devel >= %{kf_ver}
BuildRequires:	kp6-kdecoration-devel >= %{kp_ver}
BuildRequires:	kp6-libplasma-devel >= %{kp_ver}
BuildRequires:	libstdc++-devel >= 6:8
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires:	Qt6Core >= %{qt_ver}
Requires:	Qt6DBus >= %{qt_ver}
Requires:	Qt6Gui >= %{qt_ver}
Requires:	Qt6Quick >= %{qt_ver}
Requires:	Qt6Widgets >= %{qt_ver}
Requires:	kf6-frameworkintegration >= %{kf_ver}
Requires:	kf6-kcmutils >= %{kf_ver}
Requires:	kf6-kcolorscheme >= %{kf_ver}
Requires:	kf6-kcompletion >= %{kf_ver}
Requires:	kf6-kconfig >= %{kf_ver}
Requires:	kf6-kcoreaddons >= %{kf_ver}
Requires:	kf6-kguiaddons >= %{kf_ver}
Requires:	kf6-ki18n >= %{kf_ver}
Requires:	kf6-kwidgetsaddons >= %{kf_ver}
Requires:	kf6-kwindowsystem >= %{kf_ver}
Requires:	kp6-kdecoration >= %{kp_ver}
Requires:	kp6-libplasma >= %{kp_ver}
Provides:	kf5-plasma-desktoptheme-oxygen = %{version}-%{release}
Obsoletes:	kf5-plasma-desktoptheme-oxygen < 6
Obsoletes:	kp5-oxygen < 6
Conflicts:	kf5-plasma-framework < 5.116.0-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Plasma and Qt widget style and window decorations for Plasma 5 and 6.

%description -l pl.UTF-8
Styl Plasmy i widżetów Qt oraz dekoracje okien dla Plasmy 5 i 6.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DBUILD_QT5=OFF \
	-DBUILD_QT6=ON

%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database_post

%postun
/sbin/ldconfig
%update_desktop_database_postun

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/oxygen-demo6
%attr(755,root,root) %{_bindir}/oxygen-settings6
%attr(755,root,root) %{_libdir}/liboxygenstyle6.so.*.*
%ghost %{_libdir}/liboxygenstyle6.so.6
%attr(755,root,root) %{_libdir}/liboxygenstyleconfig6.so.*.*
%ghost %{_libdir}/liboxygenstyleconfig6.so.6
%dir %{_libdir}/qt6/plugins/kstyle_config
%attr(755,root,root) %{_libdir}/qt6/plugins/kstyle_config/kstyle_oxygen_config.so
%attr(755,root,root) %{_libdir}/qt6/plugins/org.kde.kdecoration3/org.kde.oxygen.so
%attr(755,root,root) %{_libdir}/qt6/plugins/org.kde.kdecoration3.kcm/kcm_oxygendecoration.so
%attr(755,root,root) %{_libdir}/qt6/plugins/styles/oxygen6.so
%{_datadir}/color-schemes/Oxygen.colors
%{_datadir}/color-schemes/OxygenCold.colors
%{_datadir}/metainfo/org.kde.oxygen.appdata.xml
%{_datadir}/kstyle/themes/oxygen.themerc
%{_datadir}/plasma/desktoptheme/oxygen
%{_datadir}/plasma/look-and-feel/org.kde.oxygen
%{_desktopdir}/kcm_oxygendecoration.desktop
%{_iconsdir}/KDE_Classic
%{_iconsdir}/Oxygen_Black
%{_iconsdir}/Oxygen_Blue
%{_iconsdir}/Oxygen_White
%{_iconsdir}/Oxygen_Yellow
%{_iconsdir}/Oxygen_Zion
%{_iconsdir}/hicolor/256x256/apps/oxygen-settings.png
%changelog
* Sat Jul 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-oxygen.git;a=log;h=master

* Tue Jul 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 6327882
- updated to 6.4.2

* Tue Jun 24 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 5f85f15
- updated to 6.4.1

* Tue Jun 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> e355aa2
- updated to 6.4.0

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> d9459b6
- typo + versioned libplasma dependency; release 3

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> f7b3793
- kdecoration belongs to kp

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> 29e8c25
- Provide kf5-plasma-desktoptheme-oxygen for parallel install with kf5-plasma-framework; release 2

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> 9229bf0
- updated dependencies

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> be4486e
- simplified files

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> cf68c20
- descriptions

* Wed May 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> d3a1c83
- updated to 6.3.5

* Wed Apr 02 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 6152195
- updated to 6.3.4

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 21a4e65
- updated to 6.3.3

* Wed Mar 05 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> aa87549
- relup

* Thu Feb 27 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 3e4f304
- updated to 6.3.2

* Thu Feb 20 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 3b90d1e
- updated to 6.3.1

* Wed Feb 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 64987eb
- updated to 6.3.0

* Wed Jan 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> feda493
- updated to 6.2.5

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 770e8df
- updated to 6.2.4

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 465ba28
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> de54cc0
- updated to 6.2.2

